

local T={}
T.Base="edgeoftimecoral"
T.Name="EOT Coral Improved Classic"
T.ID="edgeoftimecoralcl"

T.EnableClassicDoors = true

T.IsVersionOf = "edgeoftimecoral"

T.Interior={
	Portal = {
		-- Generated by portals debug tool
		pos = Vector(0, 343, 16.9),
		ang = Angle(0, -90, 0),
		width = 68,
		height = 92,
		exit_point_offset = {
            pos = Vector(0,-10,0),
            ang = Angle(0, 0, 0),
        },
		thickness = 0,
		inverted = false,
	},
    Fallback = {
        pos = Vector(0, 310, -18),
        ang = Angle(0, 230, 0)
    },
	Sounds={
		Door={
			enabled=true,
			open = "FuzzyLeo/EdgeOfReality/CoolyDude/InteriorDoor.mp3",
			close = "FuzzyLeo/EdgeOfReality/CoolyDude/InteriorDoor.mp3",
		},
	},
	Parts={
		intdoor = { model="models/FuzzyLeo/EdgeOfReality/classicdoors.mdl", },
		door={
			posoffset=Vector(26.7, 0, -48),
			use_exit_point_offset = true,
		},
		eotcoral_doorframeclassic            =   {pos = Vector(0, 0, 0),                     ang = Angle(-0, 0, 0),               },
		eotcoral_doorframe2            =   false,
		eotcoral_catwalkclassic            =   {pos = Vector(0, 0, 0),                     ang = Angle(-0, 0, 0),               },
		eotcoral_catwalk            =   false,
	},
	IntDoorAnimationTime = 2.3,
}


TARDIS:AddInterior(T)